complexType "MasterAgreement"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | masterAgreementType, masterAgreementVersion?, masterAgreementDate?
</...>

Content Model Elements (3):

  masterAgreementDate, masterAgreementType, masterAgreementVersion

All Direct / Indirect Based Elements (2):

  masterAgreement (in documentation defined in PartyRelationship complexType),
  masterAgreement (in documentation defined in Trade complexType)

Known Usage Locations

- As direct type of elements (2):
  masterAgreement (in documentation defined in PartyRelationship complexType),
  masterAgreement (in documentation defined in Trade complexType)

Annotation
An entity for defining the agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="MasterAgreement"> <xsd:sequence> <xsd:element name="masterAgreementType" type="MasterAgreementType"/> <xsd:element minOccurs="0" name="masterAgreementVersion" type="MasterAgreementVersion"/> <xsd:element minOccurs="0" name="masterAgreementDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
masterAgreementDate

  Type: | xsd:date, predefined, simple content

  The date on which the master agreement was signed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterAgreementDate" type="xsd:date"/>

masterAgreementType

  Type: | MasterAgreementType, simple content

  The agreement executed between the parties and intended to govern product-specific derivatives transactions between those parties.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="masterAgreementType" type="MasterAgreementType"/>

masterAgreementVersion

  Type: | MasterAgreementVersion, simple content

  The version of the master agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterAgreementVersion" type="MasterAgreementVersion"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.